# Class ImaInvalidCueError

#### Hierarchy (view full)

- AdsError
  - ImaInvalidCueError

#####
Index

### Constructors

constructor

### Properties

category
code
cueName
description

## Constructors

### constructor

- new ImaInvalidCueError(cueName): ImaInvalidCueError

- #### Parameters

  - cueName: string

  #### Returns ImaInvalidCueError

  Overrides AdsError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Inherited from AdsError.category

### `Readonly` code

code: ImaInvalidCueError = ErrorCode.ImaInvalidCueError

Overrides AdsError.code

### `Readonly` cueName

cueName: string

### `Readonly` description

description: "There was an invalid ad cue when trying to request an IMA ad" = 'There was an invalid ad cue when trying to request an IMA ad'